Cloud APIs
/- DrillPlan
Offset Well API
- Get drilling parameters by an array of RunId
Create new or update existing drilling parameter entities
Delete drilling parameter entities by ids
Delete drilling parameter entities by run ids
Delete drilling parameter entities by well guids
Get drilling parameters by ids
Get drilling parameters by well guids
Get QC rules for drilling parameter entities
Scroll to fetch results of next page
Get drilling parameters b...
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/get-by-run-ids
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/get-by-run-ids
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/drilling-parameters/get-by-run-ids
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/get-by-run-ids?page_size=9999' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
"string"
]'OK
Response
- text/plain
- application/json
- text/json
{
"current_matches": [
{
"well_name": "string",
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"risk_start_tvd": 0.1,
"risk_end_tvd": 0.1,
"risk_max_tvd": 0.1,
"risk_min_tvd": 0.1,
"formations": [
"string"
],
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
}
],
"current_match_count": 0,
"excluded_matches": [
{
"source": {
"well_name": "string",
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"risk_start_tvd": 0.1,
"risk_end_tvd": 0.1,
"risk_max_tvd": 0.1,
"risk_min_tvd": 0.1,
"formations": [
"string"
],
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"total_match_count": 0,
"next_page_id": "string",
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}